Module java.base
Package java.security.interfaces

# Interface DSAPublicKey

All Superinterfaces:
  `DSAKey`, `Key`, `PublicKey`, `Serializable`

public interface DSAPublicKey extends DSAKey, PublicKey
The interface to a DSA public key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.

Since:
  1.1
See Also:
  - `Key`
  - `Signature`
  - `DSAKey`
  - `DSAPrivateKey`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getY()`
Returns the value of the public key, `y`.

### Methods declared in interface java.security.interfaces.DSAKey

`getParams`

### Methods declared in interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

## Field Details

### serialVersionUID

@Deprecated static final long serialVersionUID
Deprecated.
A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

See Also:
  - Constant Field Values

## Method Details

### getY

BigInteger getY()
Returns the value of the public key, `y`.

Returns:
  the value of the public key, `y`.